# multiseq_selection.h File Reference

## Detailed Description

Functions to find elements of a certain global rank in multiple sorted sequences. Also serves for splitting such sequence sets.

The algorithm description can be found in

P. J. Varman, S. D. Scheufler, B. R. Iyer, and G. R. Ricard. Merging Multiple Lists on Hierarchical-Memory Multiprocessors. Journal of Parallel and Distributed Computing, 12(2):171–177, 1991.

This file is a GNU parallel extension to the Standard C++ Library.

Definition in file multiseq_selection.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Classes

- class __gnu_parallel::lexicographic< T1, T2, Comparator >
    Compare a pair of types lexicographically, ascending. More...
- class __gnu_parallel::lexicographic_reverse< T1, T2, Comparator >
    Compare a pair of types lexicographically, descending. More...

## Defines

- #define _GLIBCXX_PARALLEL_MULTISEQ_SELECTION_H
- #define S(i)
- #define S(i)

## Functions

- template<typename RanSeqs, typename RankType, typename RankIterator, typename Comparator> void __gnu_parallel::multiseq_partition (RanSeqs begin_seqs, RanSeqs end_seqs, RankType rank, RankIterator begin_offsets, Comparator comp=std::less< typename std::iterator_traits< typename std::iterator_traits< RanSeqs >::value_type::first_type >::value_type >())
- template<typename T, typename RanSeqs, typename RankType, typename Comparator> T __gnu_parallel::multiseq_selection (RanSeqs begin_seqs, RanSeqs end_seqs, RankType rank, RankType &offset, Comparator comp=std::less< T >())